- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/sizes/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/sizes/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/sizes/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/sizes/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/sizes/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/sizes/list#body.SizesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/sizes/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/sizes/list#try-it)

Retrieves a list of sizes, possibly filtered. Retrieved sizes are globally unique and may include values not currently in use by your account. Due to this, the list of sizes returned by this method may differ from the list seen in the Trafficking UI.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/sizes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only sizes with these IDs. |
| `height` | `integer` Select only sizes with this height. |
| `iabStandard` | `boolean` Select only IAB standard sizes. |
| `width` | `integer` Select only sizes with this width. |

### Request body

The request body must be empty.

### Response body

Size sizes.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "sizes": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/sizes#Size`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#sizesListResponse"`. |
| `sizes[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/sizes#Size`)`` Size collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`